Package com.google.android.exoplayer2.video

## Class VideoDecoderInputBuffer

- java.lang.Object
- - com.google.android.exoplayer2.decoder.Buffer
  - - com.google.android.exoplayer2.decoder.DecoderInputBuffer
    - - com.google.android.exoplayer2.video.VideoDecoderInputBuffer

-     public class VideoDecoderInputBuffer
      extends DecoderInputBuffer

  Input buffer to a video decoder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.decoder.DecoderInputBuffer

      `DecoderInputBuffer.BufferReplacementMode, DecoderInputBuffer.InsufficientCapacityException`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Format` | `format` |

    - ### Fields inherited from class com.google.android.exoplayer2.decoder.DecoderInputBuffer

      `BUFFER_REPLACEMENT_MODE_DIRECT, BUFFER_REPLACEMENT_MODE_DISABLED, BUFFER_REPLACEMENT_MODE_NORMAL, cryptoInfo, data, supplementalData, timeUs, waitingForKeys`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoDecoderInputBuffer​(int bufferReplacementMode)` | Creates a new instance.
    `VideoDecoderInputBuffer​(int bufferReplacementMode, int paddingSize)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.decoder.DecoderInputBuffer

      `clear, ensureSpaceForWrite, flip, isEncrypted, newNoDataInstance, resetSupplementalData`

    - ### Methods inherited from class com.google.android.exoplayer2.decoder.Buffer

      `addFlag, clearFlag, getFlag, hasSupplementalData, isDecodeOnly, isEndOfStream, isKeyFrame, setFlags`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          @Nullable
          public Format format

  - ### Constructor Detail

    - #### VideoDecoderInputBuffer

          public VideoDecoderInputBuffer​(@BufferReplacementMode
                                         int bufferReplacementMode)

      Creates a new instance.
      Parameters:
        `bufferReplacementMode` - Determines the behavior of `DecoderInputBuffer.ensureSpaceForWrite(int)`. One of `DecoderInputBuffer.BUFFER_REPLACEMENT_MODE_DISABLED`, `DecoderInputBuffer.BUFFER_REPLACEMENT_MODE_NORMAL` and `DecoderInputBuffer.BUFFER_REPLACEMENT_MODE_DIRECT`.

    - #### VideoDecoderInputBuffer

          public VideoDecoderInputBuffer​(@BufferReplacementMode
                                         int bufferReplacementMode,
                                         int paddingSize)

      Creates a new instance.
      Parameters:
        `bufferReplacementMode` - Determines the behavior of `DecoderInputBuffer.ensureSpaceForWrite(int)`. One of `DecoderInputBuffer.BUFFER_REPLACEMENT_MODE_DISABLED`, `DecoderInputBuffer.BUFFER_REPLACEMENT_MODE_NORMAL` and `DecoderInputBuffer.BUFFER_REPLACEMENT_MODE_DIRECT`.
        `paddingSize` - If non-zero, `DecoderInputBuffer.ensureSpaceForWrite(int)` will ensure that the buffer is this number of bytes larger than the requested length. This can be useful for decoders that consume data in fixed size blocks, for efficiency. Setting the padding size to the decoder's fixed read size is necessary to prevent such a decoder from trying to read beyond the end of the buffer.